## akonadi-calendar 18.08.1

=== debian/changelog ===
akonadi-calendar (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 4:18.07.90
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.
  * Add akonadi_serializer_calendar to libkf5akonadicalendar5abi1
    package.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:37 +0200

akonadi-calendar (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * fix libkf5akonadicalendar5abi1.symbols syntax.
  * Update symbols from build for 18.07.90.
  * Make test not failing the build.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:48 +0200
