=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
-               libkf5akonadicontact-dev (>= 4:18.08.1~),
-               libkf5calendarcore-dev (>= 4:18.08.1~),
-               libkf5calendarutils-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
+               libkf5akonadicontact-dev (>= 4:18.08.3~),
+               libkf5calendarcore-dev (>= 4:18.08.3~),
+               libkf5calendarutils-dev (>= 4:18.08.3~),
                libkf5codecs-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5contacts-dev (>= 4:18.08.3~),
                libkf5dbusaddons-dev (>= 5.47.0~),
                libkf5iconthemes-dev (>= 5.47.0~),
-               libkf5identitymanagement-dev (>= 18.08.1~),
+               libkf5identitymanagement-dev (>= 18.08.3~),
                libkf5kio-dev (>= 5.47.0~),
-               libkf5mailtransport-dev (>= 18.08.1~),
+               libkf5mailtransport-dev (>= 18.08.3~),
                libkf5wallet-dev (>= 5.47.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),
                xauth,
                xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
@@ -45,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.08.1~),
+Depends: libkf5akonadi-dev (>= 4:18.08.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:18.08.1~),
-         libkf5calendarcore-dev (>= 4:18.08.1~),
+         libkf5akonadicontact-dev (>= 4:18.08.3~),
+         libkf5calendarcore-dev (>= 4:18.08.3~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar
