## akonadi-calendar 20.08.1

=== debian/changelog ===
akonadi-calendar (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:05 +0100

akonadi-calendar (4:20.08.0-0ubuntu2) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 08:02:31 +0100

akonadi-calendar (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:26 +0100
